---
---

# Iterator Builtins

### from

```
itrs:from LIST
```

Returns an iterator which will step through the elements of LIST.

### tap

```
itrs:tap ITR BLOCK
```

Returns an iterator which will execute BLOCK for each element consumed. The elements are consumed from the
iterator ITR. BLOCK will only be executed when the element is consumed.

### to-list

```
itrs:to-list ITR
```

Consume the elements of the iterator ITR and return the elements as a list.